Name: x11-driver-input-elo2300
Version: 1.1.1
Release: %mkrel 4
Summary: X.org input driver for ELOGraphics 2300 touch screens
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-elo2300-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.4
BuildRequires: x11-server-devel >= 1.4
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: x11-server < 1.4

Patch1: 0001-Don-t-call-missing-symbols-xf86AddLocalDevice-and-xf.patch

%description
Elo2300 is an X.org input driver for ELOGraphics 2300 touch screens.

%prep
%setup -q -n xf86-input-elo2300-%{version}

%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/input/elo2300_drv.la
%{_libdir}/xorg/modules/input/elo2300_drv.so


%changelog
* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 160479
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-3mdv2008.1
+ Revision: 156574
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-2mdv2008.1
+ Revision: 155678
- Don't call missing symbols xf86AddLocalDevice and xf86XInputSetSendCoreEvents.
  This patch is in mandriva+custom branch, and exists only to not cause a
  crash due to unresolved symbols.
- Remove debug package.
  Update BuildRequires.
  Driver still marked as broken and no updates upstream. A fix to "not crash"
  should be made before 2008.1.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- ove .la files to new -devel package, and also add .deps files to -devel package.
- Fix previous errors in spec edition, and change git-archive and
  git-format-patch to use existing tag xf86-input-elo2300-1.1.1.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-1mdv2008.1
+ Revision: 97216
- new upstream version: 1.1.1
  (requires x11-server 1.4 to build)
- minor spec cleanup

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

